Blake.NUI Build Against the Surface 2.0 SDK

Jan 9, 2012 at 2:23 PM

Is there a working build of your Surface Toolkit that is built against the Surface 2.0 runtime?

Thanks!

Darrell

Aug 21, 2012 at 3:02 PM

I have the same problem!

Have you already found a solution to run it with Surface 2.0?

Aug 22, 2012 at 1:13 AM

Hello - yes, I did get around the problem by pulling in the Surface 2.0 libraries and I did have to comment out SDK 1.1 stuff as well. Let me get back to you with all of the details.

Tavi [Darrell]

InKnow Works. Corp.

Coordinator
Aug 22, 2012 at 5:54 AM

Sorry I missed your question so long ago darrellt!

If you are using Surface SDK 2.0, you should just use the Blake.NUI.WPF.SurfaceToolkit version of the assembly. When you build in Visual Studio and your project references Surface SDK 2.0, it may give you a warning about mixed references. Double click that warning and it'll ask if you want to add assembly redirection. Say yes and everything will work no problem. (It'll work without assembly redirection as well if you only have the 2.0 SDK installed and not 1.5.)

Josh